#!/bin/bash

source config.sh

echo "--- DEPLOYING CUSTOM FILES ---"

echo "Transferring custom modules:"
lftp -e "
set net:max-retries $FTP_NET_MAX_RETRIES;
set net:reconnect-interval-base $FTP_NET_RECONNECT_INTERVAL_BASE;
set net:reconnect-interval-max $FTP_NET_RECONNECT_INTERVAL_MAX;
set net:reconnect-interval-multiplier $FTP_NET_RECONNECT_INTERVAL_MULTIPLIER;
set ssl:verify-certificate no;
open $FTP_SERVER;
user $FTP_USER $FTP_PASS;
mirror --reverse --verbose --delete --parallel=$FTP_PARALLEL $PROJECT_DIR/www/modules/custom/ www/modules/custom/;
bye"

echo "Transferring custom themes:"
lftp -e "
set net:max-retries $FTP_NET_MAX_RETRIES;
set net:reconnect-interval-base $FTP_NET_RECONNECT_INTERVAL_BASE;
set net:reconnect-interval-max $FTP_NET_RECONNECT_INTERVAL_MAX;
set net:reconnect-interval-multiplier $FTP_NET_RECONNECT_INTERVAL_MULTIPLIER;
set ssl:verify-certificate no;
open $FTP_SERVER;
user $FTP_USER $FTP_PASS;
mirror --reverse --verbose --delete --parallel=$FTP_PARALLEL $PROJECT_DIR/www/themes/custom/ www/themes/custom/;
bye"
