#!/bin/bash

source config.sh

echo "--- DEPLOYING SETTINGS ---"

echo "Transferring settings:"
lftp -e "
set net:max-retries $FTP_NET_MAX_RETRIES;
set net:reconnect-interval-base $FTP_NET_RECONNECT_INTERVAL_BASE;
set net:reconnect-interval-max $FTP_NET_RECONNECT_INTERVAL_MAX;
set net:reconnect-interval-multiplier $FTP_NET_RECONNECT_INTERVAL_MULTIPLIER;
set ssl:verify-certificate no;
open $FTP_SERVER;
user $FTP_USER $FTP_PASS;
put -e $PROJECT_DIR/www/sites/sites.php -o www/sites/sites.php
chmod 750 www/sites/default/ www/sites/sm/ www/sites/tarabka/
put -e $PROJECT_DIR/www/sites/default/settings.server.php -o www/sites/default/settings.local.php
put -e $PROJECT_DIR/www/sites/sm/settings.server.php -o www/sites/sm/settings.local.php
put -e $PROJECT_DIR/www/sites/tarabka/settings.server.php -o www/sites/tarabka/settings.local.php
put -e $PROJECT_DIR/www/sites/sm/services.yml -o www/sites/sm/services.yml
chmod 550 www/sites/default/ www/sites/sm/ www/sites/tarabka/
put -e $PROJECT_DIR/www/_tarabka/sites/default/settings.server.php -o www/_tarabka/sites/default/settings.php
bye"
