<?php

namespace Drupal\plix\Service;

use Drupal\Core\Config\ConfigFactoryInterface;

/**
 * Class Cron.
 */
class Cron {

  /**
   * Config service.
   *
   * @var \Drupal\Core\Config\ConfigFactoryInterface
   */
  protected ConfigFactoryInterface $config;

  /**
   * Constructor.
   */
  public function __construct(ConfigFactoryInterface $config) {
    $this->config = $config;
  }

  /**
   * Runs cron.
   */
  public function run() {
    $settings = $this->config->get('plix.settings');
    $cron_urls = $settings->get('cron.urls');
    if (is_array($cron_urls)) {
      foreach ($cron_urls as $cron_url) {
        $ch = curl_init($cron_url);
        curl_exec($ch);
        curl_close($ch);
      }
    }
  }

}
