<?php

namespace Drupal\sm\Controller\Form;

use Drupal\Core\Form\FormStateInterface;

/**
 * Class ModuleNodeFormController.
 */
class ModuleNodeFormController {

  /**
   * Validates module node form.
   */
  public static function validateForm(&$form, FormStateInterface $form_state) {
    /** @var \Drupal\sm\Service\Validator\ModuleNodeValidator $module_node_validator_service */
    $module_node_validator_service = \Drupal::service('sm.module_node_validator');
    $module_node_validator_service->validateAll($form_state);
  }

}
