<?php

namespace Drupal\sm\Service\Form;

use Drupal\Core\Form\FormStateInterface;

/**
 * Class ModuleNodeForm.
 */
class ModuleNodeForm {

  /**
   * Alters match node form.
   */
  public function alterForm(&$form, FormStateInterface $form_state, $form_id) {
    $form['actions']['submit']['#validate'][] = '::validateForm';
    $form['actions']['submit']['#validate'][] = 'Drupal\sm\Controller\Form\ModuleNodeFormController::validateForm';
    $form['#attached']['library'][] = 'sm/default-node-form';
    $form['#attached']['library'][] = 'sm/module-node-form';
    $form['#prefix'] = '<div id="module-node-form-wrapper">';
    $form['#suffix'] = '</div>';
    if ($form_id == 'node_module_edit_form') {
      $form['actions']['checkbox_restart_module'] = [
        '#type' => 'checkbox',
        '#title' => 'Restartovat modul',
        '#weight' => 100,
      ];
      $form['actions']['checkbox_scan_networks'] = [
        '#type' => 'checkbox',
        '#title' => 'Zjistit dostupné sítě',
        '#weight' => 101,
      ];
      $form['actions']['checkbox_no_process'] = [
        '#type' => 'checkbox',
        '#title' => 'Nezpracovávat změny!',
        '#weight' => 102,
      ];
    }
  }

}
