<?php

namespace Drupal\tarabka\Controller\Form;

use Drupal;
use Drupal\Core\Form\FormStateInterface;
use Drupal\Core\Url;

/**
 * Class HuntingPermitSeriesNodeFormController.
 */
class HuntingPermitSeriesNodeFormController {

  /**
   * Validates hunter node form.
   */
  public static function validateForm(&$form, FormStateInterface $form_state) {
    /** @var \Drupal\tarabka\Service\Validator\HuntingPermitSeriesNodeValidator $hunting_permit_series_node_validator */
    $hunting_permit_series_node_validator = Drupal::service('tarabka.hunting_permit_series_node_validator');
    $hunting_permit_series_node_validator->validateAll($form_state);
  }

  /**
   * Redirects hunter node delete form.
   */
  public static function redirectDeleteForm(&$form, FormStateInterface $form_state) {
    $form_state->setRedirectUrl(Url::fromUserInput('/node/' . TARABKA_HUNTING_PERMIT_SERIES_LIST_PAGE_ID));
  }

}
